My Project: dgPathFinder< NODEID, COST > Class Template Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgPathFinder< NODEID, COST > Class Template Reference

`#include <dgPathFinder.h>`

Inheritance diagram for dgPathFinder< NODEID, COST >:

## Public Member Functions

| dgPathFinder (dgInt32 maxElementsInOpenList, dgInt32 nodeMaxChildren)
virtual | ~dgPathFinder ()
virtual const dgPathNode< NODEID, COST > * | CalCulatePath (NODEID source, NODEID goal)
virtual COST | GetCostFromParent (const dgPathNode< NODEID, COST > &node) const
virtual COST | GetEstimatedCostToGoal (NODEID id) const
virtual dgInt32 | EnumerateChildren (NODEID parent, NODEID array[]) const
Public Member Functions inherited from dgTree< dgPathNode< NODEID, COST >, NODEID >
| dgTree (dgMemoryAllocator *const allocator)
virtual | ~dgTree ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgTreeNode * | GetRoot () const
dgTreeNode * | Minimum () const
dgTreeNode * | Maximum () const
dgTreeNode * | Find (NODEID key) const
dgTreeNode * | FindGreater (NODEID key) const
dgTreeNode * | FindGreaterEqual (NODEID key) const
dgTreeNode * | FindLessEqual (NODEID key) const
dgTreeNode * | GetNodeFromInfo (dgPathNode< NODEID, COST > &info) const
dgTreeNode * | Insert (const dgPathNode< NODEID, COST > &element, NODEID key, bool &elementWasInTree)
dgTreeNode * | Insert (const dgPathNode< NODEID, COST > &element, NODEID key)
dgTreeNode * | Insert (dgTreeNode *const node, NODEID key)
dgTreeNode * | Replace (dgPathNode< NODEID, COST > &element, NODEID key)
dgTreeNode * | ReplaceKey (NODEID oldKey, NODEID newKey)
dgTreeNode * | ReplaceKey (dgTreeNode *const node, NODEID key)
void | Remove (NODEID key)
void | Remove (dgTreeNode *const node)
void | RemoveAll ()
void | Unlink (dgTreeNode *const node)
void | SwapInfo (dgTree &tree)
bool | SanityCheck () const

## Public Attributes

dgPathOpenHeap< NODEID, COST > | m_openList

## Additional Inherited Members

Protected Member Functions inherited from dgPathCloseList< NODEID, COST >
| dgPathCloseList ()

## Constructor & Destructor Documentation

## § dgPathFinder()

template<class NODEID , class COST >

dgPathFinder< NODEID, COST >::dgPathFinder | ( | dgInt32 | maxElementsInOpenList,
|  | dgInt32 | nodeMaxChildren
| ) |  |

## § ~dgPathFinder()

template<class NODEID , class COST >

dgPathFinder< NODEID, COST >::~dgPathFinder | ( |  | ) |

virtual

## Member Function Documentation

## § CalCulatePath()

template<class NODEID , class COST >

const dgPathNode< NODEID, COST > * dgPathFinder< NODEID, COST >::CalCulatePath | ( | NODEID | source,
|  | NODEID | goal
| ) |  |

virtual

## § EnumerateChildren()

template<class NODEID , class COST >

dgInt32 dgPathFinder< NODEID, COST >::EnumerateChildren | ( | NODEID | parent,
|  | NODEID | array[]
| ) |  | const

virtual

## § GetCostFromParent()

template<class NODEID , class COST >

COST dgPathFinder< NODEID, COST >::GetCostFromParent | ( | const dgPathNode< NODEID, COST > & | node | ) | const

virtual

## § GetEstimatedCostToGoal()

template<class NODEID , class COST >

COST dgPathFinder< NODEID, COST >::GetEstimatedCostToGoal | ( | NODEID | id | ) | const

virtual

## Member Data Documentation

## § m_openList

template<class NODEID , class COST >

dgPathOpenHeap<NODEID, COST> dgPathFinder< NODEID, COST >::m_openList

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgPathFinder.h